Ellipse Draft

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Ellipse and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Page précédente: Draft Arc.svg Arc
Page suivante: Polygone Draft Polygon.svg Arrow-right.svg

Draft Ellipse.svg Draft Ellipse

Emplacement du menu
Draft → Ellipse
Ateliers
Atelier Draft, Atelier architecture
Raccourci par défaut
E L
Introduit dans la version
-
Voir aussi
Cercle


Description

L'outil Ellipse crée une ellipse dans le plan sélectionné en saisissant deux points qui définissent les angles d'une zone rectangulaire dans laquelle l'ellipse prendra sa place. Il prendra la définition de ligne et couleur défini sous Draft tray.

Cet outil peut également être utilisé pour créer des arcs elliptiques en spécifiant les angles de début et de fin. Pour créer des cercles et des arcs de cercle, utilisez les outils cercle et arc. Vous pouvez également approximer un arc elliptique ou circulaire à l'aide des outils BSpline et BezCurve.

Draft ellipse example.jpg

Ellipse définie par les coins du rectangle


Utilisation

  1. Appuyez sur le bouton Draft Ellipse.png Draft Ellipse ou appuyez sur les touches E et L.
  2. Cliquez sur un premier point de la vue 3D ou tapez une coordonnée et appuyez sur le bouton Draft AddPoint.svg add point.
  3. Cliquez sur un deuxième point de la vue 3D ou tapez une coordonnée et appuyez sur le bouton Draft AddPoint.svg ajouter un point.

L'ellipse peut être transformée en un arc elliptique après la création en définissant ses propriétés de premier angle et dernier angle à différentes valeurs.

Options

  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Enter entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg ajouter un point lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur R ou cliquez sur la case à cocher pour basculer en mode relatif. Si le mode relatif est activé, les coordonnées du deuxième point sont relatives au premier sinon ils sont absolus, référencés à l'origine (0,0,0).
  • Appuyez sur T ou cochez la case pour passer en mode continuer. Si le mode Continuer est activé, l'outil Ellipse redémarre une fois que vous avez terminé la forme ce qui vous permet d'en dessiner une autre sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur L ou cliquez sur la case à cocher pour passer en mode rempli. Si le mode rempli est activé, l'ellipse créera une face remplie (DONNÉESMake Face True) sinon l'ellipse ne créera pas de face (DONNÉESMake Face False).
  • Maintenez la touche Ctrl pendant que vous dessinez pour forcer l'accrochage de votre point au point de capture le plus proche, indépendamment de la distance.
  • Maintenez Shift pour contraindre pendant que vous dessinez sur votre deuxième point horizontalement ou verticalement par rapport au premier.
  • Appuyez sur Esc ou sur le bouton Close pour annuler la commande en cours.

Propriétés

Un objet Ellipse partage de nombreuses propriétés avec un cercle mais certaines propriétés n'ont de sens que pour l'ellipse.

Données

  • DONNÉESFirst Angle: spécifie l'angle du premier point de l'ellipse; normalement 0°.
  • DONNÉESLast Angle: spécifie l'angle du dernier point de l'ellipse; normalement 0°.
  • DONNÉESMajor Radius: spécifie le grand rayon de l'ellipse.
  • DONNÉESMinor Radius: spécifie le petit rayon de l'ellipse.
Si les deux rayons ont la même valeur, l’ellipse a la même apparence qu’un cercle.
  • DONNÉESMake Face: spécifie si l'Ellipse crée une surface ou non. S'il s'agit de True, une surface est créée. Sinon, seul le périmètre est considéré comme faisant partie de l'objet. Cette propriété ne fonctionne que si la forme est une ellipse complète.
Pour que ce soit une ellipse complète DONNÉESFirst Angle et DONNÉESLast Angle doivent avoir la même valeur sinon un arc elliptique est affiché. Les valeurs 0° et 360° sont considérées comme identiques.

Vue

  • VUEPattern: spécifie un Draft Pattern avec lequel remplir la surface de la forme. Cette propriété ne fonctionne que si DONNÉESMake Face est True et si VUEDisplay Mode est "Flat Lines".
  • VUEPattern Size: spécifie la taille du Draft Pattern.

Script

See also: Draft API et FreeCAD Script de Base.

L'outil Ellipse peut être utilisé dans une macro et dans la console Python en utilisant la fonction suivante :

Ellipse = makeEllipse(majradius, minradius, placement=None, face=True, support=None)
  • Crée un objet Ellipse avec un grand rayon donné (majradius) et un petit (minradius) en millimètres.
    • La valeur la plus grande sera utilisée pour le grand rayon (X axis) si aucun autre placement n'est indiqué.
  • Si un placement est donné, il est utilisé sinon la forme est créée à l'origine.
  • Si face est True, l'ellipse fera une surface c'est-à-dire rempli.

Exemple:

import FreeCAD, Draft

Ellipse1 =  Draft.makeEllipse(3000, 200)
Ellipse2 =  Draft.makeEllipse(700, 1000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Ellipse3 =  Draft.makeEllipse(700, 1000, placement=place3)
Arrow-left.svg Page précédente: Draft Arc.svg Arc
Page suivante: Polygone Draft Polygon.svg Arrow-right.svg